FIX::MessageStoreExceptionWrapper Class Reference

`#include <MessageStore.h>`

Collaboration diagram for FIX::MessageStoreExceptionWrapper:
[legend]

## Public Member Functions

| MessageStoreExceptionWrapper (MessageStore *pStore)
| ~MessageStoreExceptionWrapper ()
bool | set (int, const std::string &, bool &, IOException &)
void | get (int, int, std::vector< std::string > &, bool &, IOException &) const
int | getNextSenderMsgSeqNum (bool &, IOException &) const
int | getNextTargetMsgSeqNum (bool &, IOException &) const
void | setNextSenderMsgSeqNum (int, bool &, IOException &)
void | setNextTargetMsgSeqNum (int, bool &, IOException &)
void | incrNextSenderMsgSeqNum (bool &, IOException &)
void | incrNextTargetMsgSeqNum (bool &, IOException &)
UtcTimeStamp | getCreationTime (bool &, IOException &)
void | reset (bool &, IOException &)
void | refresh (bool &, IOException &)

## Private Attributes

MessageStore * | m_pStore

## Detailed Description

Definition at line 150 of file MessageStore.h.

## Constructor & Destructor Documentation

## MessageStoreExceptionWrapper()

FIX::MessageStoreExceptionWrapper::MessageStoreExceptionWrapper | ( | MessageStore * | pStore | ) |

inline

Definition at line 155 of file MessageStore.h.

: m_pStore( pStore ) {}
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## ~MessageStoreExceptionWrapper()

FIX::MessageStoreExceptionWrapper::~MessageStoreExceptionWrapper | ( |  | ) |

inline

Definition at line 156 of file MessageStore.h.

{ delete m_pStore; }
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## Member Function Documentation

## get()

void FIX::MessageStoreExceptionWrapper::get | ( | int | begin,
|  | int | end,
|  | std::vector< std::string > & | msgs,
|  | bool & | threw,
|  | IOException & | ex
| ) |  | const

Definition at line 76 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->get( begin, end, msgs ); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStore::get
virtual void get(int, int, std::vector< std::string > &) const =0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## getCreationTime()

UtcTimeStamp FIX::MessageStoreExceptionWrapper::getCreationTime | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 125 of file MessageStore.cpp.

References FIX::TYPE::UtcTimeStamp.

{
threw = false;
try { return m_pStore->getCreationTime(); }
catch ( IOException & e ) { threw = true; ex = e; return UtcTimeStamp(); }
}
FIX::MessageStore::getCreationTime
virtual UtcTimeStamp getCreationTime() const =0
FIX::TYPE::UtcTimeStamp
Definition: FieldTypes.h:674
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## getNextSenderMsgSeqNum()

int FIX::MessageStoreExceptionWrapper::getNextSenderMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  | const

Definition at line 83 of file MessageStore.cpp.

{
threw = false;
try { return m_pStore->getNextSenderMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; return 0; }
}
FIX::MessageStore::getNextSenderMsgSeqNum
virtual int getNextSenderMsgSeqNum() const =0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## getNextTargetMsgSeqNum()

int FIX::MessageStoreExceptionWrapper::getNextTargetMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  | const

Definition at line 90 of file MessageStore.cpp.

{
threw = false;
try { return m_pStore->getNextTargetMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; return 0; }
}
FIX::MessageStore::getNextTargetMsgSeqNum
virtual int getNextTargetMsgSeqNum() const =0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## incrNextSenderMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 111 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->incrNextSenderMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStore::incrNextSenderMsgSeqNum
virtual void incrNextSenderMsgSeqNum()=0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## incrNextTargetMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 118 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->incrNextTargetMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStore::incrNextTargetMsgSeqNum
virtual void incrNextTargetMsgSeqNum()=0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## refresh()

void FIX::MessageStoreExceptionWrapper::refresh | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 139 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->refresh(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153
FIX::MessageStore::refresh
virtual void refresh()=0

## reset()

void FIX::MessageStoreExceptionWrapper::reset | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 132 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->reset(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStore::reset
virtual void reset()=0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## set()

bool FIX::MessageStoreExceptionWrapper::set | ( | int | num,
|  | const std::string & | msg,
|  | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 69 of file MessageStore.cpp.

{
threw = false;
try { return m_pStore->set( num, msg ); }
catch ( IOException & e ) { threw = true; ex = e; return false; }
}
FIX::MessageStore::set
virtual bool set(int, const std::string &)=0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## setNextSenderMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::setNextSenderMsgSeqNum | ( | int | num,
|  | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 97 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->setNextSenderMsgSeqNum( num ); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStore::setNextSenderMsgSeqNum
virtual void setNextSenderMsgSeqNum(int)=0
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153

## setNextTargetMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::setNextTargetMsgSeqNum | ( | int | num,
|  | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 104 of file MessageStore.cpp.

{
threw = false;
try { m_pStore->setNextTargetMsgSeqNum( num ); }
catch ( IOException & e ) { threw = true; ex = e; }
}
FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:153
FIX::MessageStore::setNextTargetMsgSeqNum
virtual void setNextTargetMsgSeqNum(int)=0

## Member Data Documentation

## m_pStore

MessageStore* FIX::MessageStoreExceptionWrapper::m_pStore

private

Definition at line 153 of file MessageStore.h.

The documentation for this class was generated from the following files:

- MessageStore.h
- MessageStore.cpp